// 接收调用传来的索引 循环所有video 索引与传来的索引不相同的 暂停 重载
var videos = document.getElementsByTagName('video')// 获取所有video
function pauseAll(index) {
  window.addEventListener('scroll', () => {
    const offset = videos[index].getBoundingClientRect()
    const offsetTop = offset.top
    const offsetBottom = offset.bottom
    const offsetHeight = offset.height
    // 进入可视区域
    if (offsetTop <= -offsetHeight / 2 || offsetBottom >= document.body.clientHeight + offsetHeight / 2) {
      // console.log('移出可视区域')
      videos[index].pause()
    } else {
      // console.log('进入可视区域')
    }
  }, true) // 监听 监听元素是否进入/移出可视区域
  for (var j = videos.length - 1; j >= 0; j--) {
    if (j !== index) {
      videos[j].pause()
      // videos[j].load();
    }
  }
}
function videoMore() {
  if (videos && videos.length > 0) {
    // 循环给所有video添加监听事件 当前的video开始播时  调用pauseAll 将当前播放的video的索引传值过去
    for (var i = videos.length - 1; i >= 0; i--) {
      (function(n) {
        videos[n].addEventListener('play', () => {
          pauseAll(n)
        })
      })(i)
    }
  }
}
